# Partially update Profit Center Endpoint: PATCH /enrichment/profit-centers/{externalId} Version: 2.51.0 Security: OAuth2 ## Path parameters: - `externalId` (string, required) Previously sent externalId ## Request fields (application/merge-patch+json): - `externalId` (string, required) External id of the profit center that is globally unique across the provided profit center data Example: "0000100CO1" - `externalClientId` (string) Identifier of the client entity in the source system which can be used to separate data Example: "EXTERNAL_CLIENT_ID" - `code` (string, required) Code of the profit center in the source system (not unique across clients) Example: "CO1" - `companyAssignment` (array) List of externalCompanyIds that the profit center is assigned to Example: ["DE01","US01"] - `department` (string) Department/functional area associated with the profit center as defined in the source system Example: "finance" - `label` (array) Label describing the profit center Example: [{"text":"Sales Engineers","language":"en"}] - `label.text` (string) Text content Example: "Fish & Chips" - `label.language` (string,null) Two letter language code as defined in ISO 639-1 Enum: "aa", "ab", "ae", "af", "ak", "am", "an", "ar", "as", "av", "ay", "az", "ba", "be", "bg", "bh", "bi", "bm", "bn", "bo", "br", "bs", "ca", "ce", "ch", "co", "cr", "cs", "cu", "cv", "cy", "da", "de", "dv", "dz", "ee", "el", "en", "eo", "es", "et", "eu", "fa", "ff", "fi", "fj", "fo", "fr", "fy", "ga", "gd", "gl", "gn", "gu", "gv", "ha", "he", "hi", "ho", "hr", "ht", "hu", "hy", "hz", "ia", "id", "ie", "ig", "ii", "ik", "io", "is", "it", "iu", "ja", "jv", "ka", "kg", "ki", "kj", "kk", "kl", "km", "kn", "ko", "kr", "ks", "ku", "kv", "kw", "ky", "la", "lb", "lg", "li", "ln", "lo", "lt", "lu", "lv", "mg", "mh", "mi", "mk", "ml", "mn", "mr", "ms", "mt", "my", "na", "nb", "nd", "ne", "ng", "nl", "nn", "no", "nr", "nv", "ny", "oc", "oj", "om", "or", "os", "pa", "pi", "pl", "ps", "pt", "qu", "rm", "rn", "ro", "ru", "rw", "sa", "sc", "sd", "se", "sg", "si", "sk", "sl", "sm", "sn", "so", "sq", "sr", "ss", "st", "su", "sv", "sw", "ta", "te", "tg", "th", "ti", "tk", "tl", "tn", "to", "tr", "ts", "tt", "tw", "ty", "ug", "uk", "ur", "uz", "ve", "vi", "vo", "wa", "wo", "xh", "yi", "yo", "za", "zh", "zu", null - `shortLabel` (array) Short label describing the profit center Example: [{"text":"Sales Eng.","language":"en"}] - `customFields` (object) List of key value pairs containing custom fields from the source system - `customMetadata` (object) Any nested structure with metadata that source system needs to send Example: {"someTopLevelProperty":"value1","someNestedProperty":{"nestedProperty":"value2"},"someArrayProperty":["value3","value4"]} ## Response 200 fields (application/json): - `externalId` (string, required) External id of the profit center that is globally unique across the provided profit center data Example: "0000100CO1" - `externalClientId` (string) Identifier of the client entity in the source system which can be used to separate data Example: "EXTERNAL_CLIENT_ID" - `code` (string, required) Code of the profit center in the source system (not unique across clients) Example: "CO1" - `companyAssignment` (array) List of externalCompanyIds that the profit center is assigned to Example: ["DE01","US01"] - `department` (string) Department/functional area associated with the profit center as defined in the source system Example: "finance" - `label` (array) Label describing the profit center Example: [{"text":"Sales Engineers","language":"en"}] - `label.text` (string) Text content Example: "Fish & Chips" - `label.language` (string,null) Two letter language code as defined in ISO 639-1 Enum: "aa", "ab", "ae", "af", "ak", "am", "an", "ar", "as", "av", "ay", "az", "ba", "be", "bg", "bh", "bi", "bm", "bn", "bo", "br", "bs", "ca", "ce", "ch", "co", "cr", "cs", "cu", "cv", "cy", "da", "de", "dv", "dz", "ee", "el", "en", "eo", "es", "et", "eu", "fa", "ff", "fi", "fj", "fo", "fr", "fy", "ga", "gd", "gl", "gn", "gu", "gv", "ha", "he", "hi", "ho", "hr", "ht", "hu", "hy", "hz", "ia", "id", "ie", "ig", "ii", "ik", "io", "is", "it", "iu", "ja", "jv", "ka", "kg", "ki", "kj", "kk", "kl", "km", "kn", "ko", "kr", "ks", "ku", "kv", "kw", "ky", "la", "lb", "lg", "li", "ln", "lo", "lt", "lu", "lv", "mg", "mh", "mi", "mk", "ml", "mn", "mr", "ms", "mt", "my", "na", "nb", "nd", "ne", "ng", "nl", "nn", "no", "nr", "nv", "ny", "oc", "oj", "om", "or", "os", "pa", "pi", "pl", "ps", "pt", "qu", "rm", "rn", "ro", "ru", "rw", "sa", "sc", "sd", "se", "sg", "si", "sk", "sl", "sm", "sn", "so", "sq", "sr", "ss", "st", "su", "sv", "sw", "ta", "te", "tg", "th", "ti", "tk", "tl", "tn", "to", "tr", "ts", "tt", "tw", "ty", "ug", "uk", "ur", "uz", "ve", "vi", "vo", "wa", "wo", "xh", "yi", "yo", "za", "zh", "zu", null - `shortLabel` (array) Short label describing the profit center Example: [{"text":"Sales Eng.","language":"en"}] - `customFields` (object) List of key value pairs containing custom fields from the source system - `customMetadata` (object) Any nested structure with metadata that source system needs to send Example: {"someTopLevelProperty":"value1","someNestedProperty":{"nestedProperty":"value2"},"someArrayProperty":["value3","value4"]} ## Response 400 fields (application/json): - `detail` (array) - `detail.loc` (array, required) - `detail.msg` (string, required) - `detail.type` (string, required) ## Response 404 fields (application/json): - `type` (string) A URI reference that uniquely identifies the problem type only in the context of the provided API. Opposed to the specification in RFC-7807, it is neither recommended to be dereferenceable and point to a human-readable documentation nor globally unique for the problem type. Example: "/some/uri-reference" - `title` (string) A short summary of the problem type. Written in English and readable for engineers, usually not suited for non technical stakeholders and not localized. Example: "some title for the error situation" - `status` (integer) The HTTP status code generated by the origin server for this occurrence of the problem. - `detail` (string) A human readable explanation specific to this occurrence of the problem that is helpful to locate the problem and give advice on how to proceed. Written in English and readable for engineers, usually not suited for non technical stakeholders and not localized. Example: "some description for the error situation" - `instance` (string) A URI reference that identifies the specific occurrence of the problem, e.g. by adding a fragment identifier or sub-path to the problem type. May be used to locate the root of this problem in the source code. Example: "/some/uri-reference#specific-occurrence-context" ## Response 415 fields (application/json): - `detail` (array) - `detail.loc` (array, required) - `detail.msg` (string, required) - `detail.type` (string, required) ## Response 429 fields